body
{
    overflow: hidden;
}

.top-bar.overlay .title-area
{
    z-index: 1000;
    position: absolute;
    top: 0;
    left: 0;
    padding: 0 10px 1px 0;
}

.top-bar .title-area .name h1
{
    text-align: center;
    font-weight:bold;
    color: #fff;
}

.side-nav
{
    margin: 0;
    padding: 0;
}

.side-nav li
{
    overflow: hidden;
    height: 0;
    transition: 0.2s;
    margin: 0;
    padding: 0;
    background-color: #f8f8ff;
    font-weight: bold;
}

.top-bar.overlay .side-nav li a
{
    color: #008b8b;
    font-size: 1.2rem;
}

.top-bar.overlay .title-area:hover
{
    border-bottom-right-radius: 5px;
}

.top-bar.overlay .title-area:hover > ul
{
    padding-bottom: 10px;
}

.top-bar.overlay .title-area:hover > ul > li
{
    overflow: visible;
    height: 40px;
}

.top-bar.overlay .page-area
{
    z-index: 1001;
    position: relative;
    width: 200px;
    height: 46px;
    margin-left: 230px;
    padding: 0;
    box-sizing: border-box;
    display: inline-block;
    border: solid 8px #116d76;
    border-radius: 50px;
    float: left;
}

.top-bar.overlay .page-area li
{
    height: 100%;
    box-sizing: inherit;
    font-weight: bold;
    color: #fff;
    text-align: center;
    line-height: 1.8125rem;
    border: solid 2px #778899;
    border-radius: 50px;
    background: #00ced1;
}

.top-bar.overlay .manual-area
{
    z-index: 1001;
    position: relative;
    width: 200px;
    height: 46px;
    padding: 0;
    border: solid 8px #116d76;
    border-radius: 50px;
    float: left;
    color: white;
}

.top-bar.overlay .manual-area a
{
    color: white;
}


#app_version
{
    position: absolute;
    bottom: 10px;
    right: 10px;
    font-weight: bold;
}

.form fieldset button[type="button"]
{
    float: right;
    text-transform: uppercase;
    box-shadow: none;
}

.form fieldset div.right button[type="button"], .form fieldset div.right button[type="submit"]
{
    float: none;
}

#lonlat_map, #delphoto
{
    margin: 0;
}

.form button:hover, .form button:focus
{
    background: #6495ed;
    box-shadow: none;
}

button
{
    background: #4169e1;
    margin-right: 1.25rem;
    border-radius: 5px;
}

fieldset .input
{
    overflow: auto;
}

label
{
    display: inline;
    float: left;
    padding-left: 1rem;
    font-size: 1rem;
}
.p_analyze label
{
    font-size: 0.9rem;
}
.error label, .error label.error
{
    color: #4d4d4d;
}

div.input.master-data
{
    display: inline-block;
    width: 100%;
    padding: 0 1.25rem;
}

.master-data>label
{
    font-size: 1.2rem;
    font-weight: bold;
    width: 200px;
}

input[accept=".csv"], input[accept="image/*"]
{
    width: auto;
    padding-left: 1rem;
    float: right;
}

input[type="text"], input[type="password"], input[type="date"], input[type="datetime"], input[type="datetime-local"], input[type="month"], input[type="week"], input[type="email"], input[type="number"], input[type="search"], input[type="tel"], input[type="time"], input[type="url"], input[type="color"], select
{
    display: inline;
    width: 16rem;
    border-radius: 5px;
    ime-mode: disabled;
}
input.sm, select.sm
{
    width: 10rem;
}

textarea
{
    display: inline;
    width: 16rem;
    border-radius: 5px;
}

input[name^="measure"], #road-other, #area, #name, #company, #position, #weather, #staff1, #staff2, #driver, #policy, #action, #keyword
{
    ime-mode: auto;
}

select, .login_info, .number, #username, #password, #office, #branch, #memo, #notes, #name, #company, #position, #weather, #staff1, #staff2, #driver, #important, #summary, #address1, #address2, #address3
{
    float: right;
}

.buttons
{
    float: right;
}

.buttons button[type="submit"], .buttons button[type="button"]
{
    float: none;
}

#start_kp, #end_kp
{
    float: none;
}

.medium-4
{
    width: 240px;
}

#map_canvas
{
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
}

.ui-dialog
{
    box-sizing: content-box;
}

#tasklist
{
    padding: 0;
    overflow: hidden;
}

#tasklist table
{
    margin: 0;
    padding: 0;
}

#tasklist table thead tr th
{
    white-space: nowrap;
}

#tasklist td a
{
    color: #1798A5;
}

.tasklist
{
    height: calc(100% - 38px);
    overflow: auto;
}

div[aria-describedby="tasklist"] .ui-dialog-titlebar
{
    padding: .1rem 1rem
}

.task
{
    width: 100%;
}

fieldset>div:last-child select, fieldset>div:last-child input
{
    margin-bottom: 0;
}

.task form fieldset div input, .task form fieldset div select, .task form fieldset div textarea
{
    margin: 0 0 0.2rem 0;
}

.range input
{
    width: 7.4rem;
}

.map_canvas.content
{
    padding-top: 0;
    padding-left: 0;
    padding-right: 0;
}

.passable_menu.content, .snowinfo_menu.content
{
    padding-top: 5px;
    padding-left: 10px;
    padding-right: 0;
}

.login_info
{
    display: flex;
}

.login_info p:first-child
{
    padding: 0 1rem;
    margin: 0.6rem 0;
    text-align: center;
    color: #fff;
}

.login_info p:last-child
{
    padding: 0;
    margin: 0;
}

.login_info p a
{
    display:block;
    padding: 0 1rem;
    margin: 0.5rem 0;
    border: solid 1px #778899;
    border-radius: 10px;
    background-color: #01545b;
    color: #fff;
}

.wavedash
{
    margin-top: 0.5rem;
}

#occurred, #road-name, #road-other, #area, #object, #latitude, #longitude, #policy, #checked, #action, #note, #keyword, #comment
{
    float: right;
}

[id^="measure"]
{
    float: right;
}

fieldset
{
    border: 1px solid #ddd;
    border-radius: 5px;
}

.task form fieldset:first-of-type
{
    margin: 0;
    padding: 0;
    border: none;
}

.weeks
{
    width: 380px;
}

fieldset:nth-child(n+9)
{
    border: 0;
    padding: 0;
    margin: 0;
    border-radius: 0;
}

fieldset:nth-last-child(-n+2)
{
    padding: 1.25rem;
    margin: 1.25rem 0;
}

.p_analyze fieldset
{
    padding: 1rem;
    margin: 0 0 10px 0;
}

div.capture
{
    display: inline-block;
    width: 100%;
}

div.capture div
{
    float: right;
    width: calc(50% - 0.4rem);
    max-width: 360px;
    text-align: center;
}

div.capture img:not([src])
{
    height: 0;
}

#photo[type="checkbox"]
{
    margin-right: 0.5rem;
}

fieldset div[class="photo"]
{
    float: left;
    margin: 0.2rem;
    width: calc(50% - 0.4rem);
    position: relative;
}

img.photo
{
    margin: 0;
    object-fit: contain;
}

/* 202103 追加 */
fieldset .comment {
    width: 100%;
    margin-top: 0.2rem ! important;
}

#allselect, #allrelease
{
    margin: 0.25rem;
    padding-top: 0.25rem;
    padding-bottom: 0.25rem;
}

#modal-main
{
    display: none;
    width: 60%;
    height: 95%;
    margin: 0;
    padding: 0;
    border: 0;
    background-color: #fff;
    color: #fff;
    position: fixed;
    z-index: 2002;
}

#modal-bg
{
    display: none;
    width: 100%;
    height: 120%;
    background-color: #000;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 2001;
}

#modal-main2
{
    display: none;
    width: 720px;
    height: 406px;
    margin: 0;
    padding: 0;
    border: 0;
    background-color: #fff;
    color: #fff;
    position: fixed;
    z-index: 2004;
}

#modal-bg2
{
    display: none;
    width: 100%;
    height: 120%;
    background-color: #000;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 2003;
}

#calc-bg
{
    display: none;
    width: 100%;
    height: 100%;
    background-color: #000;
    position: fixed;
    top: 46px;
    left: 0;
    z-index: 10;
}

#calc-bg p
{
    color: #fff;
    font-weight: bold;
    font-size: 1.5rem;
    text-align: center;
}

#grayout
{
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    z-index: 9;
    position: absolute;
    bottom: 0;
}

.passables #map_canvas, .snowinfos #map_canvas
{
    height: calc(100% - 80px);
}

.p_add #map_canvas
{
    width: calc(100% - 450px);
    float: left;
    padding-right: 2rem;
    padding-bottom: 2rem;
}

.p_analyze #map_canvas
{
    width: calc(100% - 460px);
    float: left;
    padding-right: 2rem;
    padding-bottom: 2rem;
}

.map_modal
{
    padding: 0;
    margin: 0;
    width: 100%;
}

.container
{
    height: calc(100% - 46px);
    min-height: 0;
}

.container .content
{
    width: 100%;
    height: 100%;
    font-size: 1.2rem;
    margin-bottom: 0;
    padding-bottom: 0;
    overflow-y: auto;
}

.container .content table thead tr th
{
    font-size: 1rem;
}

div.modal.container
{
    overflow-y: auto;
}

div.modal.container .task
{
    margin: 0;
    padding: 2rem;
}

div.lonlat.container .map_modal
{
    height: 360px;
}

div.lonlat.container .map_modal input
{
    width: 8rem;
}

div.lonlat.container .map_modal #map_canvas
{
    width: 360px;
    height: 360px;
    float: left;
}

div.message
{
    position: absolute;
    top: 46px;
    width: 100%;
    right: 0;
}

table tr.selectrow
{
    background-color: rgba(23, 152, 165, 0.2);
}

.container table
{
    table-layout: auto;
}

.print_chg_area
{
    display: none;
    padding: 0 0.5rem;
    margin: 0.1rem;
    float: right;
    border: 1px solid silver;
    border-radius: 5px;
    font-size: 0.9rem;
    width: 16rem;
    min-height: 1.67rem;
}

.form .error-message
{
    color: #FF0000;
}

#popup-2
{
    display: none;
    position: absolute;
    top: 10px;
    left: 55px;
    padding: 0.55rem;
}
#popup-2 .popup-title
{
    padding: .1rem 1rem;
    margin-bottom: 0.5rem;
    font-size: 15px;
}
#popup-2 .scroll-table
{
    height: 225px;
    overflow-y: scroll;
    margin-bottom: 0.5rem;
}
#popup-2 table th, #popup-2 table td
{
    font-size: 0.775rem;
    padding: 0.4rem 0.625rem;
}
#popup-2 table th
{
    color: #222;
    border-bottom: none;
}
#popup-2 .button-area button {
    margin: 0;
    padding: 0.675rem 0.75rem 0.7375rem 0.75rem;
}

input.time-input {
    width: 40px;
    text-align: right;
}



